Subject: Re: Can I enforce required approval on some files

From: Jakub Narebski <[email-masked]>
Date: Tue, 20 Jul 2010 15:03:24 -0700 (PDT)

Dominik Gront <[email-masked]> writes:

> I have been a happy SVN user for quite a long time, but now I miss
> some functionality in Subversion. I wonder if it could be done in git.
> If so, I convert to git right away :-)
> 
> There are some files in our repository that all their modification
> need to be approved by a project leader.  In general the desired
> behavior would be (examples given in svn commands) :
> - user runs "svn ci"
> - some files have status "pending" or "waiting for approval"
> - anyone can do "svn up", modifications to the pending files are not
>   retrieved, project leader can get the modified versions
> - project leader accepts the changes
> - anyone running "svn ci" sees all the modifications

Besides solution mentioned by others, namely integration repository
with moderator, you can also use patch/commit code review tool such as
Gerrit (http://code.google.com/p/gerrit/), equivalent of Rietveld for
Subversion, or Mondrian for Perforce.

-- 
Jakub Narebski
Poland
ShadeHawk on #git